import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { getBirthDateAndGender } from "@/util/util";
import { ColumnsType } from "antd/lib/table";
export const defaultConfig = () => [
 
  {
    type: FormType.input,
    label: "身份类别",
    name: "identity_type",
    value: "",
    rules: [{ required: true, message: "请输入用户名称!" }],
  },
  {
    type: FormType.input,
    label: "所属队伍",
    name: "assigned_team",
    value: "",
    rules: [{ required: true, message: "请输入所属队伍!" }],
  },
  {
    type: FormType.input,
    label: "备注",
    name: "note",
    value: "",
    rules: [{ required: true, message: "请输入备注!" }],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "用户名",
    dataIndex: "user_name",
    fixed: "left",
  },
  {
    title: "性别",
    width: 100,
    render: (render) => (
      <span>{getBirthDateAndGender(render.id_card)?.gender}</span>
    ),
  }, 
  {
    title: "身份证",
    dataIndex: "id_card",
  },

  {
    title: "联系电话",
    dataIndex: "tel",
  },
  {
    title: "备注",
    dataIndex: "note",
  },
];
